import { MidwayConfig } from '@midwayjs/core';

const project = 'zkzx';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1672292154640_555',
  koa: {
    port: 12002,
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: '2d',
  },
  redis_timeout: 300, //s
  emailConfig: project,
  axios: {
    clients: {
      zkzx_admin: {
        baseURL: 'http://127.0.0.1:12001/zkzx/v2/api',
      },
      Axios: {
        baseURL: 'http://broadcast.waityou24.cn',
        //表明返回服务器返回的数据类型
        responseType: 'arraybuffer',
        headers: {
          'Content-Type': 'application/json; application/octet-stream',
        },
      },
    },
  },
  export: {
    root_path: 'D:\\temp',
    export_path: 'D:\\temp\\export',
    export_dir: 'export',
    patentInfo_dir: 'patentInfo',
    file_type: 'export',
    domain: 'http://broadcast.waityou24.cn',
  },
  rabbitmq: {
    url: 'amqp://localhost',
  },
} as MidwayConfig;
