import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { ExamNotice } from '../entity/examNotice.entity';
type modelType = ReturnModelType<typeof ExamNotice>;
@Provide()
export class ExamNoticeService extends BaseService<modelType> {
  @InjectEntityModel(ExamNotice)
  model: modelType;
}
