import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'cpcMessageerror' },
})
export class CpcMessageerror extends BaseModel {
  @prop({ required: false, index: true, zh: '申请号' })
  create_number: string;
  @prop({ required: false, index: true, zh: '专利名称' })
  patent_name: string;
  @prop({ required: false, index: true, zh: '专利信息key' })
  patent_key: string;
  @prop({ required: false, index: true, zh: '错误信息' })
  content: string;
  @prop({ required: false, index: false, zh: '导入的zip包' })
  zip_url: string;
  @prop({ required: false, index: true, zh: '导入时间' })
  create_Date: string;
}
