import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'examNotice' },
})
export class ExamNotice extends BaseModel {
  @prop({ required: false, index: true, zh: '发送人' })
  send_id: string;
  @prop({ required: false, index: true, zh: '发送时间' })
  send_date: string;
  @prop({ required: false, index: true, zh: '接收人' })
  receive_id: string;
  @prop({ required: false, index: false, zh: '发送内容' })
  content: string;
  @prop({ required: false, index: true, zh: '是否已读', default: '0' })
  is_read: string;
}
