import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'notice' },
})
export class Notice extends BaseModel {
  @prop({
    required: false,
    index: true,
    zh: '发送人类型',
    remark: '字典表：patnet_notice_send_type',
  })
  send_type: string;
  @prop({ required: false, index: true, zh: '发送人' })
  send_id: string;
  @prop({ required: false, index: true, zh: '发送时间' })
  send_date: string;
  @prop({
    required: false,
    index: true,
    zh: '接收人类型',
    remark: '字典表：patnet_notice_receive_type',
  })
  type: string;
  @prop({ required: false, index: false, zh: '接收人' })
  receive: Array<any>;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
  @prop({ required: false, index: false, zh: '通知文件' })
  annex_file: Array<any>;
}
