import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'patentWarning' },
})
export class PatentWarning extends BaseModel {
  @prop({ required: false, index: true, zh: '专利号' })
  create_number: string;
  @prop({ required: false, index: true, zh: '专利名称' })
  patnet_name: string;
  @prop({ required: false, index: true, zh: '发送时间' })
  send_date: string;
  @prop({ required: false, index: true, zh: '缴费截止日期' })
  lose_date: string;
  @prop({ required: false, index: false, zh: '预警信息' })
  content: string;
  @prop({ required: false, index: false, zh: '接收人' })
  receive: Array<any>;
}
