import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { CpcMessage } from '../entity/cpcMessage.entity';
type modelType = ReturnModelType<typeof CpcMessage>;
@Provide()
export class CpcMessageService extends BaseService<modelType> {
  @InjectEntityModel(CpcMessage)
  model: modelType;
}
