import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { PatentWarning } from '../entity/patentWarning.entity';
type modelType = ReturnModelType<typeof PatentWarning>;
@Provide()
export class PatentWarningService extends BaseService<modelType> {
  @InjectEntityModel(PatentWarning)
  model: modelType;
}
